# MusicBox MySql Backup
# Creation date: 03-Jan-2007 04:53
# Database: musicbox
# MySQL Server version: 5.0.24a-community-nt

DROP TABLE IF EXISTS active_guests;
CREATE TABLE active_guests (
    ip varchar(15) NOT NULL,
    timestamp int(11) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (ip)
);



DROP TABLE IF EXISTS active_users;
CREATE TABLE active_users (
    username varchar(30) NOT NULL,
    timestamp int(11) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (username)
);

INSERT INTO active_users VALUES ('admin','1167827213');


DROP TABLE IF EXISTS admin_review_mgt;
CREATE TABLE admin_review_mgt (
    id bigint(20) NOT NULL auto_increment,
    name varchar(100) NOT NULL,
    value int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO admin_review_mgt VALUES ('1','GUEST REVIEW','0');
INSERT INTO admin_review_mgt VALUES ('2','NUMBER REVIEW','2');
INSERT INTO admin_review_mgt VALUES ('3','AUTO APPROVAL','1');
INSERT INTO admin_review_mgt VALUES ('4','ALLOW REVIEW','0');


DROP TABLE IF EXISTS album;
CREATE TABLE album (
    id int(10) unsigned NOT NULL auto_increment,
    album_name varchar(255) NOT NULL,
    artist_id int(10) unsigned DEFAULT '0' NOT NULL,
    genre_id int(10) unsigned DEFAULT '0' NOT NULL,
    album_release date DEFAULT '0000-00-00' NOT NULL,
    album_photo varchar(255) NOT NULL,
    album_info text NOT NULL,
    post_date date DEFAULT '0000-00-00' NOT NULL,
    price decimal(10,2) DEFAULT '0.00' NOT NULL,
    tax decimal(8,2) DEFAULT '0.00' NOT NULL,
   PRIMARY KEY (id),
   KEY album_info (album_info)
);

INSERT INTO album VALUES ('1','2007','1','1','2007-01-01','covers/musicbox2007.gif','Musicbox Version 2.3.5 Released','2007-01-01','0.00','0.00');


DROP TABLE IF EXISTS album_gallery;
CREATE TABLE album_gallery (
    id_artist int(4) DEFAULT '0' NOT NULL,
    id_album int(4) DEFAULT '0' NOT NULL,
    id int(4) NOT NULL auto_increment,
    url text NOT NULL,
   KEY id_artist (id_artist, id)
);



DROP TABLE IF EXISTS artist;
CREATE TABLE artist (
    id int(10) unsigned NOT NULL auto_increment,
    genre_id int(10) DEFAULT '0' NOT NULL,
    name varchar(255) NOT NULL,
    url varchar(255) NOT NULL,
    artist_photo varchar(255) NOT NULL,
    artist_info text NOT NULL,
   PRIMARY KEY (id),
   KEY artist_info (artist_info)
);

INSERT INTO artist VALUES ('1','1','Musicbox','','covers/musicbox2007.gif','Musicbox Version 2.3.5 Released');


DROP TABLE IF EXISTS artist_gallery;
CREATE TABLE artist_gallery (
    id_artist int(4) DEFAULT '0' NOT NULL,
    id int(4) NOT NULL auto_increment,
    url text NOT NULL,
   KEY id_artist (id_artist, id)
);



DROP TABLE IF EXISTS avaiting_album;
CREATE TABLE avaiting_album (
    gid int(4) NOT NULL auto_increment,
    id_artist int(4) DEFAULT '0' NOT NULL,
    id_album int(4) DEFAULT '0' NOT NULL,
    url text NOT NULL,
   KEY gid (gid)
);



DROP TABLE IF EXISTS avaiting_artist;
CREATE TABLE avaiting_artist (
    gid int(4) NOT NULL auto_increment,
    id_artist int(4) DEFAULT '0' NOT NULL,
    url text NOT NULL,
   KEY gid (gid)
);



DROP TABLE IF EXISTS banned_users;
CREATE TABLE banned_users (
    username varchar(30) NOT NULL,
    timestamp int(11) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (username)
);



DROP TABLE IF EXISTS cart_config;
CREATE TABLE cart_config (
    id bigint(20) NOT NULL auto_increment,
    name varchar(150) NOT NULL,
    value varchar(255) NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO cart_config VALUES ('5','admin_email','sales@yoursite.com');
INSERT INTO cart_config VALUES ('7','check status','0');


DROP TABLE IF EXISTS chat_msg;
CREATE TABLE chat_msg (
    id bigint(20) unsigned NOT NULL auto_increment,
    from bigint(20) unsigned DEFAULT '0' NOT NULL,
    to bigint(20) unsigned DEFAULT '0' NOT NULL,
    born timestamp DEFAULT '0000-00-00 00:00:00',
    msg varchar(255) NOT NULL,
   PRIMARY KEY (id),
   KEY to (to),
   KEY from (from),
   KEY born (born)
);



DROP TABLE IF EXISTS chat_pchat;
CREATE TABLE chat_pchat (
    id bigint(20) unsigned NOT NULL auto_increment,
    msg bigint(20) unsigned NOT NULL,
   PRIMARY KEY (id),
   UNIQUE msg (msg)
);



DROP TABLE IF EXISTS chat_pvchat;
CREATE TABLE chat_pvchat (
    id bigint(20) unsigned NOT NULL auto_increment,
    msg bigint(20) unsigned NOT NULL,
   PRIMARY KEY (id),
   UNIQUE msg (msg)
);



DROP TABLE IF EXISTS chat_users;
CREATE TABLE chat_users (
    id bigint(20) unsigned NOT NULL auto_increment,
    nick varchar(30) NOT NULL,
    session varchar(40) NOT NULL,
    ip varchar(15) DEFAULT '000.000.000.000' NOT NULL,
    ping timestamp DEFAULT '0000-00-00 00:00:00',
   PRIMARY KEY (id),
   UNIQUE session (session),
   UNIQUE nick (nick),
   KEY ping (ping)
);

INSERT INTO chat_users VALUES ('20','admin','abbad3b601a0e5e9f5eb3d6625068316','127.0.0.1','2007-01-03 16:26:53');


DROP TABLE IF EXISTS config;
CREATE TABLE config (
    id bigint(20) NOT NULL auto_increment,
    name varchar(50) NOT NULL,
    value varchar(50) NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO config VALUES ('1','STORE ACTIVE','0');
INSERT INTO config VALUES ('2','SUBSCRIPTION ACTIVE','0');
INSERT INTO config VALUES ('3','SUBSCRIPTION ACTIVE','0');


DROP TABLE IF EXISTS format;
CREATE TABLE format (
    id int(10) unsigned NOT NULL auto_increment,
    format varchar(255) NOT NULL,
    extension varchar(255) NOT NULL,
    format_url varchar(255) NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO format VALUES ('1','Real Player','ram','http://real.com');
INSERT INTO format VALUES ('2','Real Player','rm','http://real.com');
INSERT INTO format VALUES ('3','Real Player','rpm','http://real.com');
INSERT INTO format VALUES ('4','Windows Media Player','wma','http://windowsmedia.com');
INSERT INTO format VALUES ('5','Windows Media Player','wmv','http://windowsmedia.com');
INSERT INTO format VALUES ('6','Windows Media Player','smil','http://windowsmedia.com');
INSERT INTO format VALUES ('7','Windows Media Player','asf','http://windowsmedia.com');
INSERT INTO format VALUES ('8','Mp3','mp3','http://real.com');
INSERT INTO format VALUES ('9','Cd','dat','http://real.com');
INSERT INTO format VALUES ('10','Wave','wav','http://real.com');
INSERT INTO format VALUES ('11','Flv','flv','http://yoursite.com');


DROP TABLE IF EXISTS genre;
CREATE TABLE genre (
    id int(10) unsigned NOT NULL auto_increment,
    genre varchar(255) NOT NULL,
    genre_photo varchar(255) NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO genre VALUES ('1','Musicbox Hits','');
INSERT INTO genre VALUES ('2','New Folder','./covers/notavailable.gif');
INSERT INTO genre VALUES ('3','Genre 1','./covers/notavailable.gif');


DROP TABLE IF EXISTS lyric;
CREATE TABLE lyric (
    id int(10) unsigned NOT NULL auto_increment,
    lyrics text NOT NULL,
   PRIMARY KEY (id),
   KEY lyrics (lyrics)
);



DROP TABLE IF EXISTS mailfriend;
CREATE TABLE mailfriend (
    id int(10) unsigned NOT NULL auto_increment,
    user_id int(11) DEFAULT '0' NOT NULL,
    username varchar(100) NOT NULL,
    sent_to varchar(255) NOT NULL,
    subject varchar(255) NOT NULL,
    song_id int(11) DEFAULT '0' NOT NULL,
    album_id int(11) DEFAULT '0' NOT NULL,
    artist_id int(11) DEFAULT '0' NOT NULL,
    genre_id int(11) DEFAULT '0' NOT NULL,
    message text NOT NULL,
   PRIMARY KEY (id),
   KEY messasge (message)
);



DROP TABLE IF EXISTS music_carttemp;
CREATE TABLE music_carttemp (
    id int(11) NOT NULL auto_increment,
    sess varchar(75) NOT NULL,
    product_id int(11) DEFAULT '0' NOT NULL,
    product_type varchar(20) DEFAULT 'song' NOT NULL,
    qty int(11) DEFAULT '0' NOT NULL,
    date_added datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS music_comment;
CREATE TABLE music_comment (
    id bigint(20) NOT NULL auto_increment,
    username varchar(200) NOT NULL,
    review_id int(11) DEFAULT '0' NOT NULL,
    comment text NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS music_orderdetails;
CREATE TABLE music_orderdetails (
    id int(11) NOT NULL auto_increment,
    order_id int(11) DEFAULT '0' NOT NULL,
    qty int(11) DEFAULT '0' NOT NULL,
    product_id int(11) DEFAULT '0' NOT NULL,
    product_type varchar(20) NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS music_orders;
CREATE TABLE music_orders (
    id int(10) unsigned NOT NULL auto_increment,
    date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
    username varchar(30) NOT NULL,
    subtotal decimal(15,2) DEFAULT '0.00' NOT NULL,
    shipping decimal(15,2),
    tax decimal(15,2),
    total decimal(15,2) DEFAULT '0.00' NOT NULL,
    first_name varchar(50) NOT NULL,
    last_name varchar(50) NOT NULL,
    add1 varchar(100) NOT NULL,
    add2 varchar(100),
    city varchar(50) NOT NULL,
    state varchar(50) NOT NULL,
    country varchar(150) NOT NULL,
    zip varchar(20) NOT NULL,
    phone varchar(20) NOT NULL,
    email varchar(50) NOT NULL,
    status varchar(20) DEFAULT 'Pending',
    cc_owner varchar(100) NOT NULL,
    cc_number varchar(100) NOT NULL,
    cc_expire_month varchar(100) NOT NULL,
    cc_expire_year varchar(10) NOT NULL,
    payment_id bigint(20) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS music_ratings;
CREATE TABLE music_ratings (
    id bigint(20) NOT NULL auto_increment,
    username varchar(100) NOT NULL,
    product_id int(11) DEFAULT '0' NOT NULL,
    product_type varchar(50) NOT NULL,
    rating int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS music_review;
CREATE TABLE music_review (
    id bigint(20) NOT NULL auto_increment,
    username varchar(255) NOT NULL,
    album_id int(11) DEFAULT '0' NOT NULL,
    review text NOT NULL,
    ratings tinyint(4) DEFAULT '0' NOT NULL,
    title varchar(50) NOT NULL,
    approve tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS number_down_play;
CREATE TABLE number_down_play (
    id bigint(20) NOT NULL auto_increment,
    userid varchar(255) NOT NULL,
    session_id varchar(255) NOT NULL,
    product_id int(11) DEFAULT '0' NOT NULL,
    product_type varchar(10) NOT NULL,
    type varchar(50) NOT NULL,
    date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS payment;
CREATE TABLE payment (
    id bigint(20) NOT NULL auto_increment,
    order_id bigint(20) DEFAULT '0' NOT NULL,
    transaction_id varchar(20) NOT NULL,
    type varchar(20) NOT NULL,
    status varchar(25) NOT NULL,
    amount decimal(15,2) DEFAULT '0.00' NOT NULL,
    details text NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS payment_admin;
CREATE TABLE payment_admin (
    id bigint(20) NOT NULL auto_increment,
    type varchar(50) NOT NULL,
    userid varchar(50) NOT NULL,
    active tinyint(4) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO payment_admin VALUES ('1','paypal','support@yoursite.com','1');
INSERT INTO payment_admin VALUES ('2','2checkout','111111','0');
INSERT INTO payment_admin VALUES ('3','Authorize.net','musicbox','0');


DROP TABLE IF EXISTS player;
CREATE TABLE player (
    id bigint(20) NOT NULL auto_increment,
    name varchar(75) NOT NULL,
    value int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO player VALUES ('1','Real Player Audio','0');
INSERT INTO player VALUES ('2','Simple Real Player Audio','0');
INSERT INTO player VALUES ('3','Real Player Video','0');
INSERT INTO player VALUES ('4','Windows Media Player Audio','0');
INSERT INTO player VALUES ('5','Windows Media Player Video','0');
INSERT INTO player VALUES ('6','Quick Time','0');
INSERT INTO player VALUES ('7','Mp3 Flash Player','1');
INSERT INTO player VALUES ('8','Video Flash Player','0');
INSERT INTO player VALUES ('9','Direct Linking (Not Player)','0');


DROP TABLE IF EXISTS playlist;
CREATE TABLE playlist (
    id int(10) unsigned NOT NULL auto_increment,
    user_id int(11) DEFAULT '0' NOT NULL,
    username varchar(100) NOT NULL,
    playlist_name varchar(255) NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS playlistsong;
CREATE TABLE playlistsong (
    id int(10) unsigned NOT NULL auto_increment,
    song_id int(10) unsigned DEFAULT '0' NOT NULL,
    playlist_id int(10) unsigned DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS searches;
CREATE TABLE searches (
    id int(11) NOT NULL auto_increment,
    term text NOT NULL,
    in varchar(8) NOT NULL,
    username varchar(40) NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO searches VALUES ('1','demo','song','admin');


DROP TABLE IF EXISTS song;
CREATE TABLE song (
    id int(10) unsigned NOT NULL auto_increment,
    song_name varchar(255) NOT NULL,
    artist_id int(10) unsigned DEFAULT '0' NOT NULL,
    album_id int(10) unsigned DEFAULT '0' NOT NULL,
    length int(11) DEFAULT '0' NOT NULL,
    format_id int(10) unsigned DEFAULT '0' NOT NULL,
    rating int(10) unsigned DEFAULT '0' NOT NULL,
    num_rating int(10) unsigned DEFAULT '0' NOT NULL,
    song_path varchar(255) NOT NULL,
    plays int(10) unsigned DEFAULT '0' NOT NULL,
    lyric_id int(10) unsigned DEFAULT '0' NOT NULL,
    lyrics_approved tinyint(4) DEFAULT '0' NOT NULL,
    counter bigint(15) DEFAULT '0' NOT NULL,
    url varchar(255),
    user_name varchar(255) DEFAULT '0' NOT NULL,
    price decimal(10,2) DEFAULT '0.00' NOT NULL,
    tax decimal(8,2) DEFAULT '0.00' NOT NULL,
   PRIMARY KEY (id)
);

INSERT INTO song VALUES ('1','Musicbox Test Song One','1','1','0','1','0','0','/song1.mp3','13','0','0','0','','admin','0.00','0.00');
INSERT INTO song VALUES ('2','Musicbox Test Song Two','1','1','0','1','0','0','/song2.mp3','10','0','0','0','','admin','0.00','0.00');
INSERT INTO song VALUES ('3','mp3','1','1','0','9','0','0','','6','0','0','0','','admin','0.00','0.00');


DROP TABLE IF EXISTS subscription;
CREATE TABLE subscription (
    id bigint(20) NOT NULL auto_increment,
    username varchar(50) DEFAULT '0' NOT NULL,
    paymentid int(11) DEFAULT '0' NOT NULL,
    session_id varchar(200) NOT NULL,
    first_name varchar(50) NOT NULL,
    last_name varchar(50) NOT NULL,
    add1 varchar(100) NOT NULL,
    add2 varchar(100) NOT NULL,
    city varchar(50) NOT NULL,
    state varchar(50) NOT NULL,
    zip varchar(15) NOT NULL,
    phone varchar(20) NOT NULL,
    email varchar(50) NOT NULL,
    pmt_type tinytext NOT NULL,
    sub_type tinyint(4) DEFAULT '0' NOT NULL,
    date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
    approve tinyint(4),
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS subscription_pmt;
CREATE TABLE subscription_pmt (
    id bigint(20) NOT NULL auto_increment,
    subscriber_id int(11) DEFAULT '0' NOT NULL,
    pmt_type varchar(50) NOT NULL,
    cc_num varchar(100) NOT NULL,
    cc_owner varchar(100) NOT NULL,
    month int(11) DEFAULT '0' NOT NULL,
    year int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS subscription_type;
CREATE TABLE subscription_type (
    id bigint(20) NOT NULL auto_increment,
    name varchar(100) NOT NULL,
    amt decimal(10,2) DEFAULT '0.00' NOT NULL,
    is_listen varchar(5) DEFAULT 'off' NOT NULL,
    listen_songs int(11) DEFAULT '0' NOT NULL,
    is_download varchar(5) DEFAULT 'off' NOT NULL,
    download_songs int(11) DEFAULT '0' NOT NULL,
    is_viewlyrics varchar(5) DEFAULT 'no' NOT NULL,
    is_mail varchar(5) DEFAULT 'no' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS tbl_brokenlinks;
CREATE TABLE tbl_brokenlinks (
    id bigint(15) NOT NULL auto_increment,
    song_id bigint(15) DEFAULT '0' NOT NULL,
    status tinyint(1) DEFAULT '1' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS tempuser;
CREATE TABLE tempuser (
    id bigint(20) NOT NULL auto_increment,
    username varchar(200) NOT NULL,
    session_id varchar(200) NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS tempuser1;
CREATE TABLE tempuser1 (
    id bigint(20) NOT NULL auto_increment,
    username varchar(200) NOT NULL,
    session_id varchar(200) NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS upload_song;
CREATE TABLE upload_song (
    id int(10) unsigned NOT NULL auto_increment,
    song_name varchar(255) NOT NULL,
    artist_id int(10) unsigned DEFAULT '0' NOT NULL,
    album_id int(10) unsigned DEFAULT '0' NOT NULL,
    length int(11) DEFAULT '0' NOT NULL,
    format_id int(10) unsigned DEFAULT '0' NOT NULL,
    rating int(10) unsigned DEFAULT '0' NOT NULL,
    num_rating int(10) unsigned DEFAULT '0' NOT NULL,
    song_path varchar(255) NOT NULL,
    url varchar(255) NOT NULL,
    plays int(10) unsigned DEFAULT '0' NOT NULL,
    lyric_id int(10) unsigned DEFAULT '0' NOT NULL,
    lyrics_approved tinyint(4) DEFAULT '0' NOT NULL,
    status tinyint(1) DEFAULT '0' NOT NULL,
    song_id bigint(15) DEFAULT '0' NOT NULL,
    artist_name varchar(255),
    album_name varchar(255),
    format_name varchar(255),
    user_name varchar(255) DEFAULT '0' NOT NULL,
    price decimal(10,2) DEFAULT '0.00' NOT NULL,
    tax decimal(8,2) DEFAULT '0.00' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS user_actions;
CREATE TABLE user_actions (
    id bigint(20) NOT NULL auto_increment,
    username varchar(100) NOT NULL,
    subscription_id int(11) DEFAULT '0' NOT NULL,
    song_id int(11) DEFAULT '0' NOT NULL,
    downloaded int(11) DEFAULT '0' NOT NULL,
    listened int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (id)
);



DROP TABLE IF EXISTS users;
CREATE TABLE users (
    username varchar(30) NOT NULL,
    password varchar(32),
    userid varchar(32),
    userlevel tinyint(1) unsigned DEFAULT '0' NOT NULL,
    session_id varchar(200),
    email varchar(50),
    timestamp int(11) unsigned DEFAULT '0' NOT NULL,
    avatar text NOT NULL,
    sex varchar(6) NOT NULL,
    country char(2) NOT NULL,
    newsletter int(1) DEFAULT '0' NOT NULL,
    song_upload_status tinyint(3) unsigned DEFAULT '1' NOT NULL,
   PRIMARY KEY (username)
);

INSERT INTO users VALUES ('admin','21232f297a57a5a743894a0e4a801fc3','087526a14a4e4552c79af41969a8f04e','9','105889fc93a5a1752277be8b1b43bd24','support@yoursite.com','1167827213','avatar16.gif','Male','US','0','1');


# Valid end of backup from MusicBoxv2
