<?PHP
/*
--------------------------------------------------------------------------
|   Musicbox Version 2.3.5
|   ========================================
|
|   (c) 2007
|   MAFiASCRiPTS
|   ========================================
|   Web:
|   Email:
|   Licence Info:
---------------------------------------------------------------------------  
*/

	/**
	 * Insert Country Select
	 *
	 * Displays a country chooser dropdown select.
	 * Supports persistent selection with the $country parameter.  
	 * @param string $country The country which should be selected
	 * @param string $default The country which should be selected if $country is not supplied (that is, the initial selection)
	 */
	function insertCountrySelect($country = '', $default = 'US'){
		if (!$country)
			$country = $default;
		$ret = "<select name=\"country\">"; 
		$country_array = array( 
			array('CA', 'Canada'), 
			array('AF', 'Afghanistan'), 
			array('AL', 'Albania'), 
			array('DZ', 'Algeria'), 
			array('AS', 'American Samoa'), 
			array('AD', 'Andorra'), 
			array('AO', 'Angola'), 
			array('AI', 'Anguilla'), 
			array('AQ', 'Antarctica'), 
			array('AG', 'Antigua And Barbuda'), 
			array('AR', 'Argentina'), 
			array('AM', 'Armenia'), 
			array('AW', 'Aruba'), 
			array('AU', 'Australia'), 
			array('AT', 'Austria'), 
			array('AZ', 'Azerbaijan'), 
			array('BS', 'Bahamas'), 
			array('BH', 'Bahrain'), 
			array('BD', 'Bangladesh'), 
			array('BB', 'Barbados'), 
			array('BY', 'Belarus'), 
			array('BE', 'Belgium'), 
			array('BZ', 'Belize'), 
			array('BJ', 'Benin'), 
			array('BM', 'Bermuda'), 
			array('BT', 'Bhutan'), 
			array('BO', 'Bolivia'), 
			array('BA', 'Bosnia And Herzegovina'), 
			array('BW', 'Botswana'), 
			array('BV', 'Bouvet Island'), 
			array('BR', 'Brazil'), 
			array('IO', 'British Indian Ocean Territory'), 
			array('BN', 'Brunei Darussalam'), 
			array('BG', 'Bulgaria'), 
			array('BF', 'Burkina Faso'), 
			array('BI', 'Burundi'), 
			array('KH', 'Cambodia'), 
			array('CM', 'Cameroon'), 
			array('CV', 'Cape Verde'), 
			array('KY', 'Cayman Islands'), 
			array('CF', 'Central African Republic'), 
			array('TD', 'Chad'), 
			array('CL', 'Chile'), 
			array('CN', 'China'), 
			array('CX', 'Christmas Island'), 
			array('CC', 'Cocos Keeling Islands'), 
			array('CO', 'Colombia'), 
			array('KM', 'Comoros'), 
			array('CG', 'Congo'), 
			array('CD', 'Congo, D.P.R'), 
			array('CK', 'Cook Islands'), 
			array('CR', 'Costa Rica'), 
			array('CI', 'Cote D ivoire'), 
			array('HR', 'Croatia'), 
			array('CU', 'Cuba'), 
			array('CY', 'Cyprus'), 
			array('CZ', 'Czech Republic'), 
			array('DK', 'Denmark'), 
			array('DJ', 'Djibouti'), 
			array('DM', 'Dominica'), 
			array('DO', 'Dominican Republic'), 
			array('TP', 'East Timor'), 
			array('EC', 'Ecuador'), 
			array('EG', 'Egypt'), 
			array('SV', 'El Salvador'), 
			array('GQ', 'Equatorial Guinea'), 
			array('ER', 'Eritrea'), 
			array('EE', 'Estonia'), 
			array('ET', 'Ethiopia'), 
			array('FK', 'Falkland Islands Malvinas'), 
			array('FO', 'Faroe Islands'), 
			array('FJ', 'Fiji'), 
			array('FI', 'Finland'), 
			array('FR', 'France'), 
			array('GF', 'French Guiana'), 
			array('PF', 'French Polynesia'), 
			array('TF', 'French Southern Territories'), 
			array('GA', 'Gabon'), 
			array('GM', 'Gambia'), 
			array('GE', 'Georgia'), 
			array('DE', 'Germany'), 
			array('GH', 'Ghana'), 
			array('GI', 'Gibraltar'), 
			array('GR', 'Greece'), 
			array('GL', 'Greenland'), 
			array('GD', 'Grenada'), 
			array('GP', 'Guadeloupe'), 
			array('GU', 'Guam'), 
			array('GT', 'Guatemala'), 
			array('GN', 'Guinea'), 
			array('GW', 'Guinea-bissau'), 
			array('GY', 'Guyana'), 
			array('HT', 'Haiti'), 
			array('HM', 'Heard And McDonald Islands'), 
			array('HN', 'Honduras'), 
			array('HK', 'Hong Kong'), 
			array('HU', 'Hungary'), 
			array('IS', 'Iceland'), 
			array('IN', 'India'), 
			array('ID', 'Indonesia'), 
			array('IR', 'Iran, Islamic Republic Of'), 
			array('IQ', 'Iraq'), 
			array('IE', 'Ireland'), 
			array('IL', 'Israel'), 
			array('IT', 'Italy'), 
			array('JM', 'Jamaica'), 
			array('JP', 'Japan'), 
			array('JO', 'Jordan'), 
			array('KZ', 'Kazakstan'), 
			array('KE', 'Kenya'), 
			array('KI', 'Kiribati'), 
			array('KP', 'Korea, D.P.R.'), 
			array('KR', 'Korea, Republic Of'), 
			array('KW', 'Kuwait'), 
			array('KG', 'Kyrgyzstan'), 
			array('LA', 'Lao'), 
			array('LV', 'Latvia'), 
			array('LB', 'Lebanon'), 
			array('LS', 'Lesotho'), 
			array('LR', 'Liberia'), 
			array('LY', 'Libyan Arab Jamahiriya'), 
			array('LI', 'Liechtenstein'), 
			array('LT', 'Lithuania'), 
			array('LU', 'Luxembourg'), 
			array('MO', 'Macau'), 
			array('MK', 'Macedonia'), 
			array('MG', 'Madagascar'), 
			array('MW', 'Malawi'), 
			array('MY', 'Malaysia'), 
			array('MV', 'Maldives'), 
			array('ML', 'Mali'), 
			array('MT', 'Malta'), 
			array('MH', 'Marshall Islands'), 
			array('MQ', 'Martinique'), 
			array('MR', 'Mauritania'), 
			array('MU', 'Mauritius'), 
			array('YT', 'Mayotte'), 
			array('MX', 'Mexico'), 
			array('FM', 'Micronesia'), 
			array('MD', 'Moldova, Republic Of'), 
			array('MC', 'Monaco'), 
			array('MN', 'Mongolia'), 
			array('MS', 'Montserrat'), 
			array('MA', 'Morocco'), 
			array('MZ', 'Mozambique'), 
			array('MM', 'Myanmar'), 
			array('NA', 'Namibia'), 
			array('NR', 'Nauru'), 
			array('NP', 'Nepal'), 
			array('NL', 'Netherlands'), 
			array('AN', 'Netherlands Antilles'), 
			array('NC', 'New Caledonia'), 
			array('NZ', 'New Zealand'), 
			array('NI', 'Nicaragua'), 
			array('NE', 'Niger'), 
			array('NG', 'Nigeria'), 
			array('NU', 'Niue'), 
			array('NF', 'Norfolk Island'), 
			array('MP', 'Northern Mariana Islands'), 
			array('NO', 'Norway'), 
			array('OM', 'Oman'), 
			array('PK', 'Pakistan'), 
			array('PW', 'Palau'), 
			array('PS', 'Palestine'), 
			array('PA', 'Panama'), 
			array('PG', 'Papua New Guinea'), 
			array('PY', 'Paraguay'), 
			array('PE', 'Peru'), 
			array('PH', 'Philippines'), 
			array('PN', 'Pitcairn'), 
			array('PL', 'Poland'), 
			array('PT', 'Portugal'), 
			array('PR', 'Puerto Rico'), 
			array('QA', 'Qatar'), 
			array('RE', 'Reunion'), 
			array('RO', 'Romania'), 
			array('RU', 'Russian Federation'), 
			array('RW', 'Rwanda'), 
			array('SH', 'Saint Helena'), 
			array('KN', 'Saint Kitts And Nevis'), 
			array('LC', 'Saint Lucia'), 
			array('PM', 'Saint Pierre And Miquelon'), 
			array('WS', 'Samoa'), 
			array('SM', 'San Marino'), 
			array('ST', 'Sao Tome And Principe'), 
			array('SA', 'Saudi Arabia'), 
			array('SN', 'Senegal'), 
			array('SC', 'Seychelles'), 
			array('SL', 'Sierra Leone'), 
			array('SG', 'Singapore'), 
			array('SK', 'Slovakia'), 
			array('SI', 'Slovenia'), 
			array('SB', 'Solomon Islands'), 
			array('SO', 'Somalia'), 
			array('ZA', 'South Africa'), 
			array('GS', 'South Georgia/Sandwich Islands'), 
			array('ES', 'Spain'), 
			array('LK', 'Sri Lanka'), 
			array('VC', 'St Vincent/Grenadines'), 
			array('SD', 'Sudan'), 
			array('SR', 'Suriname'), 
			array('SJ', 'Svalbard And Jan Mayen'), 
			array('SZ', 'Swaziland'), 
			array('SE', 'Sweden'), 
			array('CH', 'Switzerland'), 
			array('SY', 'Syrian Arab Republic'), 
			array('TW', 'Taiwan'), 
			array('TJ', 'Tajikistan'), 
			array('TZ', 'Tanzania, United Republic Of'), 
			array('TH', 'Thailand'), 
			array('TG', 'Togo'), 
			array('TK', 'Tokelau'), 
			array('TO', 'Tonga'), 
			array('TT', 'Trinidad And Tobago'), 
			array('TN', 'Tunisia'), 
			array('TR', 'Turkey'), 
			array('TM', 'Turkmenistan'), 
			array('TC', 'Turks And Caicos Islands'), 
			array('TV', 'Tuvalu'), 
			array('UG', 'Uganda'), 
			array('UA', 'Ukraine'), 
			array('AE', 'United Arab Emirates'), 
			array('GB', 'United Kingdom'), 
			array('US', 'United States'), 
			array('UM', 'US Minor Outlying Islands'), 
			array('UY', 'Uruguay'), 
			array('UZ', 'Uzbekistan'), 
			array('VU', 'Vanuatu'), 
			array('VA', 'Vatican City'), 
			array('VE', 'Venezuela'), 
			array('VN', 'Vietnam'), 
			array('VG', 'Virgin Islands, British'), 
			array('VI', 'Virgin Islands, U.S.'), 
			array('WF', 'Wallis And Futuna'), 
			array('EH', 'Western Sahara'), 
			array('YE', 'Yemen'), 
			array('YU', 'Yugoslavia'), 
			array('ZM', 'Zambia'), 
			array('ZW', 'Zimbabwe')
			); 
				   
		foreach($country_array as $subarray) { 
			list($id, $name) = $subarray; 
				if($id == $country){ 
					$ret .= "<option value=\"$id\" selected>$name</option>"; 
				} else { 
					$ret .= "<option value=\"$id\">$name</option>"; 
				} 
		} 
		
		$ret .= "</select>";
		
		return $ret;
	}
	
	function get_country($countrycode)
	{
		$country_array = array( 
			array('CA', 'Canada'), 
			array('AF', 'Afghanistan'), 
			array('AL', 'Albania'), 
			array('DZ', 'Algeria'), 
			array('AS', 'American Samoa'), 
			array('AD', 'Andorra'), 
			array('AO', 'Angola'), 
			array('AI', 'Anguilla'), 
			array('AQ', 'Antarctica'), 
			array('AG', 'Antigua And Barbuda'), 
			array('AR', 'Argentina'), 
			array('AM', 'Armenia'), 
			array('AW', 'Aruba'), 
			array('AU', 'Australia'), 
			array('AT', 'Austria'), 
			array('AZ', 'Azerbaijan'), 
			array('BS', 'Bahamas'), 
			array('BH', 'Bahrain'), 
			array('BD', 'Bangladesh'), 
			array('BB', 'Barbados'), 
			array('BY', 'Belarus'), 
			array('BE', 'Belgium'), 
			array('BZ', 'Belize'), 
			array('BJ', 'Benin'), 
			array('BM', 'Bermuda'), 
			array('BT', 'Bhutan'), 
			array('BO', 'Bolivia'), 
			array('BA', 'Bosnia And Herzegovina'), 
			array('BW', 'Botswana'), 
			array('BV', 'Bouvet Island'), 
			array('BR', 'Brazil'), 
			array('IO', 'British Indian Ocean Territory'), 
			array('BN', 'Brunei Darussalam'), 
			array('BG', 'Bulgaria'), 
			array('BF', 'Burkina Faso'), 
			array('BI', 'Burundi'), 
			array('KH', 'Cambodia'), 
			array('CM', 'Cameroon'), 
			array('CV', 'Cape Verde'), 
			array('KY', 'Cayman Islands'), 
			array('CF', 'Central African Republic'), 
			array('TD', 'Chad'), 
			array('CL', 'Chile'), 
			array('CN', 'China'), 
			array('CX', 'Christmas Island'), 
			array('CC', 'Cocos Keeling Islands'), 
			array('CO', 'Colombia'), 
			array('KM', 'Comoros'), 
			array('CG', 'Congo'), 
			array('CD', 'Congo, D.P.R'), 
			array('CK', 'Cook Islands'), 
			array('CR', 'Costa Rica'), 
			array('CI', 'Cote D ivoire'), 
			array('HR', 'Croatia'), 
			array('CU', 'Cuba'), 
			array('CY', 'Cyprus'), 
			array('CZ', 'Czech Republic'), 
			array('DK', 'Denmark'), 
			array('DJ', 'Djibouti'), 
			array('DM', 'Dominica'), 
			array('DO', 'Dominican Republic'), 
			array('TP', 'East Timor'), 
			array('EC', 'Ecuador'), 
			array('EG', 'Egypt'), 
			array('SV', 'El Salvador'), 
			array('GQ', 'Equatorial Guinea'), 
			array('ER', 'Eritrea'), 
			array('EE', 'Estonia'), 
			array('ET', 'Ethiopia'), 
			array('FK', 'Falkland Islands Malvinas'), 
			array('FO', 'Faroe Islands'), 
			array('FJ', 'Fiji'), 
			array('FI', 'Finland'), 
			array('FR', 'France'), 
			array('GF', 'French Guiana'), 
			array('PF', 'French Polynesia'), 
			array('TF', 'French Southern Territories'), 
			array('GA', 'Gabon'), 
			array('GM', 'Gambia'), 
			array('GE', 'Georgia'), 
			array('DE', 'Germany'), 
			array('GH', 'Ghana'), 
			array('GI', 'Gibraltar'), 
			array('GR', 'Greece'), 
			array('GL', 'Greenland'), 
			array('GD', 'Grenada'), 
			array('GP', 'Guadeloupe'), 
			array('GU', 'Guam'), 
			array('GT', 'Guatemala'), 
			array('GN', 'Guinea'), 
			array('GW', 'Guinea-bissau'), 
			array('GY', 'Guyana'), 
			array('HT', 'Haiti'), 
			array('HM', 'Heard And McDonald Islands'), 
			array('HN', 'Honduras'), 
			array('HK', 'Hong Kong'), 
			array('HU', 'Hungary'), 
			array('IS', 'Iceland'), 
			array('IN', 'India'), 
			array('ID', 'Indonesia'), 
			array('IR', 'Iran, Islamic Republic Of'), 
			array('IQ', 'Iraq'), 
			array('IE', 'Ireland'), 
			array('IL', 'Israel'), 
			array('IT', 'Italy'), 
			array('JM', 'Jamaica'), 
			array('JP', 'Japan'), 
			array('JO', 'Jordan'), 
			array('KZ', 'Kazakstan'), 
			array('KE', 'Kenya'), 
			array('KI', 'Kiribati'), 
			array('KP', 'Korea, D.P.R.'), 
			array('KR', 'Korea, Republic Of'), 
			array('KW', 'Kuwait'), 
			array('KG', 'Kyrgyzstan'), 
			array('LA', 'Lao'), 
			array('LV', 'Latvia'), 
			array('LB', 'Lebanon'), 
			array('LS', 'Lesotho'), 
			array('LR', 'Liberia'), 
			array('LY', 'Libyan Arab Jamahiriya'), 
			array('LI', 'Liechtenstein'), 
			array('LT', 'Lithuania'), 
			array('LU', 'Luxembourg'), 
			array('MO', 'Macau'), 
			array('MK', 'Macedonia'), 
			array('MG', 'Madagascar'), 
			array('MW', 'Malawi'), 
			array('MY', 'Malaysia'), 
			array('MV', 'Maldives'), 
			array('ML', 'Mali'), 
			array('MT', 'Malta'), 
			array('MH', 'Marshall Islands'), 
			array('MQ', 'Martinique'), 
			array('MR', 'Mauritania'), 
			array('MU', 'Mauritius'), 
			array('YT', 'Mayotte'), 
			array('MX', 'Mexico'), 
			array('FM', 'Micronesia'), 
			array('MD', 'Moldova, Republic Of'), 
			array('MC', 'Monaco'), 
			array('MN', 'Mongolia'), 
			array('MS', 'Montserrat'), 
			array('MA', 'Morocco'), 
			array('MZ', 'Mozambique'), 
			array('MM', 'Myanmar'), 
			array('NA', 'Namibia'), 
			array('NR', 'Nauru'), 
			array('NP', 'Nepal'), 
			array('NL', 'Netherlands'), 
			array('AN', 'Netherlands Antilles'), 
			array('NC', 'New Caledonia'), 
			array('NZ', 'New Zealand'), 
			array('NI', 'Nicaragua'), 
			array('NE', 'Niger'), 
			array('NG', 'Nigeria'), 
			array('NU', 'Niue'), 
			array('NF', 'Norfolk Island'), 
			array('MP', 'Northern Mariana Islands'), 
			array('NO', 'Norway'), 
			array('OM', 'Oman'), 
			array('PK', 'Pakistan'), 
			array('PW', 'Palau'), 
			array('PS', 'Palestine'), 
			array('PA', 'Panama'), 
			array('PG', 'Papua New Guinea'), 
			array('PY', 'Paraguay'), 
			array('PE', 'Peru'), 
			array('PH', 'Philippines'), 
			array('PN', 'Pitcairn'), 
			array('PL', 'Poland'), 
			array('PT', 'Portugal'), 
			array('PR', 'Puerto Rico'), 
			array('QA', 'Qatar'), 
			array('RE', 'Reunion'), 
			array('RO', 'Romania'), 
			array('RU', 'Russian Federation'), 
			array('RW', 'Rwanda'), 
			array('SH', 'Saint Helena'), 
			array('KN', 'Saint Kitts And Nevis'), 
			array('LC', 'Saint Lucia'), 
			array('PM', 'Saint Pierre And Miquelon'), 
			array('WS', 'Samoa'), 
			array('SM', 'San Marino'), 
			array('ST', 'Sao Tome And Principe'), 
			array('SA', 'Saudi Arabia'), 
			array('SN', 'Senegal'), 
			array('SC', 'Seychelles'), 
			array('SL', 'Sierra Leone'), 
			array('SG', 'Singapore'), 
			array('SK', 'Slovakia'), 
			array('SI', 'Slovenia'), 
			array('SB', 'Solomon Islands'), 
			array('SO', 'Somalia'), 
			array('ZA', 'South Africa'), 
			array('GS', 'South Georgia/Sandwich Islands'), 
			array('ES', 'Spain'), 
			array('LK', 'Sri Lanka'), 
			array('VC', 'St Vincent/Grenadines'), 
			array('SD', 'Sudan'), 
			array('SR', 'Suriname'), 
			array('SJ', 'Svalbard And Jan Mayen'), 
			array('SZ', 'Swaziland'), 
			array('SE', 'Sweden'), 
			array('CH', 'Switzerland'), 
			array('SY', 'Syrian Arab Republic'), 
			array('TW', 'Taiwan'), 
			array('TJ', 'Tajikistan'), 
			array('TZ', 'Tanzania, United Republic Of'), 
			array('TH', 'Thailand'), 
			array('TG', 'Togo'), 
			array('TK', 'Tokelau'), 
			array('TO', 'Tonga'), 
			array('TT', 'Trinidad And Tobago'), 
			array('TN', 'Tunisia'), 
			array('TR', 'Turkey'), 
			array('TM', 'Turkmenistan'), 
			array('TC', 'Turks And Caicos Islands'), 
			array('TV', 'Tuvalu'), 
			array('UG', 'Uganda'), 
			array('UA', 'Ukraine'), 
			array('AE', 'United Arab Emirates'), 
			array('GB', 'United Kingdom'), 
			array('US', 'United States'), 
			array('UM', 'US Minor Outlying Islands'), 
			array('UY', 'Uruguay'), 
			array('UZ', 'Uzbekistan'), 
			array('VU', 'Vanuatu'), 
			array('VA', 'Vatican City'), 
			array('VE', 'Venezuela'), 
			array('VN', 'Vietnam'), 
			array('VG', 'Virgin Islands, British'), 
			array('VI', 'Virgin Islands, U.S.'), 
			array('WF', 'Wallis And Futuna'), 
			array('EH', 'Western Sahara'), 
			array('YE', 'Yemen'), 
			array('YU', 'Yugoslavia'), 
			array('ZM', 'Zambia'), 
			array('ZW', 'Zimbabwe')
			); 
		
		foreach ($country_array as $country)
			if ($country[0] == $countrycode)
				return $country[1];
	}